Update an IfEntry
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
If entry ID
uuidRequest Body
application/json
SNMP ifAdminStatus: 1=up, 2=down, 3=testing
"Up" | "Down" | "Testing"uuidSNMP ifDescr - interface description (e.g., GigabitEthernet0/1)
SNMP ifIndex - stable identifier within device
int32SNMP ifType - IANAifType integer (6=ethernet, 24=loopback, etc.)
int32uuidSNMP ifOperStatus: 1=up, 2=down, 3=testing, 4=unknown, 5=dormant, 6=notPresent, 7=lowerLayerDown
"Up" | "Down" | "Testing" | "Unknown" | "Dormant" | "NotPresent" | "LowerLayerDown"Remote management IP from CDP (cdpCacheAddress)
Remote device ID from CDP (typically hostname, locally unique)
Remote platform from CDP (e.g., "Cisco IOS")
Remote port ID from CDP
SNMP ifAlias - user-configured description
SNMP ifName - short interface name (e.g., Gi1/0/1)
FK to Interface entity - this port's IP assignment (must be on same host)
uuidRemote management IP from LLDP neighbor (lldpRemManAddr)
Remote port description from LLDP neighbor (lldpRemPortDesc)
Remote system description from LLDP neighbor (lldpRemSysDesc) - platform info
Remote system name from LLDP neighbor (lldpRemSysName)
MAC address from SNMP ifPhysAddress - immutable once set
Interface speed from ifSpeed/ifHighSpeed in bits per second
int64Response Body
application/json
application/json
application/json
curl -X PUT "https://loading/api/v1/if-entries/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "admin_status": "Up", "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b", "if_descr": "string", "if_index": 0, "if_type": 0, "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3", "oper_status": "Up" }'{
"meta": {
"api_version": 1,
"server_version": "0.14.10"
},
"success": true,
"data": {
"admin_status": "Up",
"host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",
"if_descr": "string",
"if_index": 0,
"if_type": 0,
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"oper_status": "Up",
"cdp_address": "string",
"cdp_device_id": "string",
"cdp_platform": "string",
"cdp_port_id": "string",
"if_alias": "string",
"if_name": "string",
"interface_id": "16c0a784-0728-4b20-a16b-354e14c2524c",
"lldp_chassis_id": {},
"lldp_mgmt_addr": "string",
"lldp_port_desc": "string",
"lldp_port_id": {},
"lldp_sys_desc": "string",
"lldp_sys_name": "string",
"mac_address": "string",
"neighbor": {},
"speed_bps": 0,
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.14.10"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.14.10"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}